function init()
{
	var page = 1,prevent = false;
	var left = document.getElementById("left");
	var right = document.getElementById("right");
	var look = document.getElementById("look");
	var title = document.getElementById("title");
	var pat1 = /<ul class="img">([\s\S]*?)<\/ul>/;
	var pat2 = /<a.*?\/item(.*?)".*?<img.*?src="(.*?)"/;
	var imgType = mui.currentWebview.type;
	getData();
	//获取资源
	function getData()
	{
		prevent = true;
		plus.nativeUI.showWaiting();
		title.textContent = '当前为第' + page + '页';
		var turl = page == 1 ? 'http://m.meitulu.cn/t/'+imgType + '/' : 'http://m.meitulu.cn/t/'+imgType+'/index_' + page + '.html';
		console.log('turl:'+turl);
		mui.ajax(turl,{
			data:{},
			success:function(data){
				plus.downloader.clear();
				dataOp(data);
				prevent = false;
			},
			error:function(xhr,type,errorThrown){
				plus.nativeUI.closeWaiting();
				plus.nativeUI.toast('已经没有更多数据了!');
			},
			headers:{'accept':'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3'}
		});
	}
				
	//数据处理
	function dataOp(data)
	{
		var temp;
		
		//取出有多少数据
		var result = pat1.exec(data);
		result = result[1].match(/<a.*?\/item(.*?)".*?<img.*?src="(.*?)"/g);
		//取出子文本
		for(var i=0;i<result.length;i++)
		{
			temp = pat2.exec(result[i]);//子文本数据数组
			imgDown(i,temp);
		}
	}
	
	//跨域下载图片
	function imgDown(i,temp)
	{
		console.log('imgurl:'+temp[2]);
		var timestamp3 = (new Date()).valueOf();
		timestamp3 = '_downloads/' + timestamp3 + '.jpg';
		var dtask = plus.downloader.createDownload(temp[2], {filename:timestamp3,method:'GET',timeout:10},function(d,status){
			if(status == 200){
				var imgData = plus.io.convertLocalFileSystemURL(d.filename);
				var li = document.createElement('li');
				li.innerHTML = '<a data-href="'+temp[1]+'"><img src="'+imgData+'" class="img-100"></a>';
				if(i%2){
					right.appendChild(li);
				}else{
					left.appendChild(li);
				}
			}else{
				console.log(status);
			}
			plus.nativeUI.closeWaiting();
		});
		
		// dtask.setRequestHeader('Host','image.meitulu.cn');
		dtask.setRequestHeader('host','image.meitulu.cn');
		// dtask.setRequestHeader('Referer','http://m.meitulu.cn/');
		dtask.setRequestHeader('referer','http://m.meitulu.cn/');
		// dtask.setRequestHeader('Accept','image/webp,image/apng,image/*,*/*;q=0.8');
		dtask.setRequestHeader('accept','image/webp,image/apng,image/*,*/*;q=0.8');
		dtask.start();
	}
	
	//上拉刷新页面 
	window.onscroll = function(){
	　　if(getScrollTop() + getWindowHeight() >= getScrollHeight() - 86){
			//防止多次获取
			if(!prevent){
				page = page + 1;
				getData();
			}
	　　}
	}
	
	//跳转到指定页面
	look.addEventListener('click',function(){
		var person=prompt("请输入你要跳转的页数","1");
		if (person){
			left.innerHTML = '';
			right.innerHTML = '';
			page = person;
			getData();
		}
	});
	
	/*
		判断浏览器是否滚动到底部 
	*/
	function getScrollTop(){
	　　var scrollTop = 0, bodyScrollTop = 0, documentScrollTop = 0;
	　　if(document.body){
	　　　　bodyScrollTop = document.body.scrollTop;
	　　}
	　　if(document.documentElement){
	　　　　documentScrollTop = document.documentElement.scrollTop;
	　　}
	　　scrollTop = (bodyScrollTop - documentScrollTop > 0) ? bodyScrollTop : documentScrollTop;
	　　return scrollTop;
	}
	
	//文档的总高度
	
	function getScrollHeight(){
	　　var scrollHeight = 0, bodyScrollHeight = 0, documentScrollHeight = 0;
	　　if(document.body){
	　　　　bodyScrollHeight = document.body.scrollHeight;
	　　}
	　　if(document.documentElement){
	　　　　documentScrollHeight = document.documentElement.scrollHeight;
	　　}
	　　scrollHeight = (bodyScrollHeight - documentScrollHeight > 0) ? bodyScrollHeight : documentScrollHeight;
	　　return scrollHeight;
	}
	
	//浏览器视口的高度
	
	function getWindowHeight(){
	　　var windowHeight = 0;
	　　if(document.compatMode == "CSS1Compat"){
	　　　　windowHeight = document.documentElement.clientHeight;
	　　}else{
	　　　　windowHeight = document.body.clientHeight;
	　　}
	　　return windowHeight;
	}
	
	//图片点击详情页
	mui('body').on('tap','a',function(){
		var url = this.dataset.href;
		mui.openWindow('simg.htm','simg',{extras:{url:url}});
		clearCache();
	});
	
	//以下是清除缓存在指定目录中文件的方法  
	function clearCache() {  
		plus.io.resolveLocalFileSystemURL('_downloads/', function(entry) {  
			entry.removeRecursively(function(entry) { //递归删除其下的所有文件及子目录  
				
			}, function(e) {  
				mui.toast(e.message);  
			});
		}, function(e) {  
			mui.toast('文件路径读取失败');  
		});  
	}
}